Preparing build ... ERROR: libtoolize failed [last commit]

Bug #717084 reported by polo1 on 2011-01-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
shroudBNC
Medium
Unassigned

Bug Description

./autogen.sh

Found GNU Autoconf version 2.61
Found GNU Automake version 1.10.1
Found GNU Libtool version 2.2.6b
Found SWIG

Automatically preparing build ...

Automatically preparing build ... Warning: autoreconf failed
Attempting to run the preparation steps individually

Preparing build ... ERROR: libtoolize failed

command libtoolize reulsts in:
:~/shroudbnc$ libtoolize
libtoolize: putting auxiliary files in `config'.
libtoolize: `third-party/libltdl/config/compile' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config/config.guess' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config/config.sub' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config/depcomp' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config/install-sh' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config/missing' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config/ltmain.sh' exists: use `--force' to overwrite
libtoolize: putting macros in AC_CONFIG_MACRO_DIR, `m4'.
libtoolize: You should add the contents of `m4/argz.m4' to `aclocal.m4'.
libtoolize: warning: no serial number on `/usr/share/aclocal/ltdl.m4', not copying.
libtoolize: putting macros in `third-party/libltdl/m4'.
libtoolize: `third-party/libltdl/m4/argz.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/m4/libtool.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/m4/ltdl.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/m4/ltoptions.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/m4/ltsugar.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/m4/ltversion.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/m4/lt~obsolete.m4' exists: use `--force' to overwrite
libtoolize: putting libltdl files in LT_CONFIG_LTDL_DIR, `third-party/libltdl'.
libtoolize: `third-party/libltdl/COPYING.LIB' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/README' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/Makefile.am' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/configure.ac' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/aclocal.m4' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/Makefile.in' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/config-h.in' exists: use `--force' to overwrite
libtoolize: `third-party/libltdl/configure' exists: use `--force' to overwrite
libtoolize: `argz_.h' not found in `/usr/share/libtool/libltdl'

OS:
2.6.26-2-686 i686
debian lenny 5.0.8

Gunnar Beutner (gunnarbeutner) wrote :

Works just fine here. Steps I tried to reproduce this issue:

1. Install Debian lenny
2. Add the lenny-backports repository (for a more recent version of libtool)
3. Install dependencies: aptitude install autoconf build-essential git-core libtool/lenny-backports swig libc-ares-dev libssl-dev tcl8.5-dev
4. Check out git repository: git clone git://github.com/gunnarbeutner/shroudbnc.git
5. cd shroudbnc; ./autogen.sh; ./configure; make

Works for me.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers